'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bd9fba8a.js');

const boxCss = ".box:not(:last-child){margin-bottom:1.5rem}.box{background-color:white;border-radius:6px;-webkit-box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);color:#4a4a4a;display:block;padding:1.25rem}a.box:hover,a.box:focus{-webkit-box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0 0 1px #5851ff;box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0 0 1px #5851ff}a.box:active{-webkit-box-shadow:inset 0 1px 2px rgba(10, 10, 10, 0.2), 0 0 0 1px #5851ff;box-shadow:inset 0 1px 2px rgba(10, 10, 10, 0.2), 0 0 0 1px #5851ff}";

const Box = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * CSS classes
         */
        this.class = '';
    }
    render() {
        return (index.h(index.Host, null, index.h("div", { class: {
                box: true,
                [this.class]: Boolean(this.class),
            } }, index.h("slot", null))));
    }
};
Box.style = boxCss;

exports.bm_box = Box;
