import { Component, Prop, h } from '@stencil/core';
export class Card {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h("div", { class: {
                card: true,
                [this.class]: Boolean(this.class),
            } },
            h("slot", null)));
    }
    static get is() { return "bm-card"; }
    static get originalStyleUrls() { return {
        "$": ["card.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["card.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        }
    }; }
}
