import { r as registerInstance, h, H as Host } from './index-30eda64b.js';
var buttonsCss = "bm-buttons bm-button:not(:last-child):not(.is-fullwidth){margin-right:0.5rem}bm-buttons .buttons:last-child{margin-bottom:initial}bm-buttons:last-child{margin-bottom:-0.5rem}bm-buttons:not(:last-child){margin-bottom:1rem}bm-buttons .buttons.has-addons bm-button:not(:first-child) .button{border-bottom-left-radius:0;border-top-left-radius:0}bm-buttons .buttons.has-addons bm-button:not(:last-child) .button{border-bottom-right-radius:0;border-top-right-radius:0;margin-right:-1px}bm-buttons .buttons.has-addons bm-button:last-child .button{margin-right:0}";
var Buttons = /** @class */ (function () {
    function Buttons(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS classes
         */
        this.class = '';
    }
    Buttons.prototype.render = function () {
        var _a;
        return (h(Host, null, h("div", { class: (_a = {
                    buttons: true
                },
                _a[this.size] = Boolean(this.size),
                _a[this.class] = Boolean(this.class),
                _a) }, h("slot", null))));
    };
    return Buttons;
}());
Buttons.style = buttonsCss;
export { Buttons as bm_buttons };
