import { r as registerInstance, h } from './index-30eda64b.js';
var menuCss = ".menu{font-size:1rem}.menu.is-small{font-size:0.75rem}.menu.is-medium{font-size:1.25rem}.menu.is-large{font-size:1.5rem}.menu-list{line-height:1.25}.menu-list a{border-radius:2px;color:#4a4a4a;display:block;padding:0.5em 0.75em}.menu-list a:hover{background-color:whitesmoke;color:#363636}.menu-list a.is-active{background-color:#5851ff;color:#fff}.menu-list li ul{border-left:1px solid #dbdbdb;margin:0.75em;padding-left:0.75em}.menu-label{color:#7a7a7a;font-size:0.75em;letter-spacing:0.1em;text-transform:uppercase}.menu-label:not(:first-child){margin-top:1em}.menu-label:not(:last-child){margin-bottom:1em}";
var Menu = /** @class */ (function () {
    function Menu(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
    }
    Menu.prototype.render = function () {
        var _a;
        return (h("aside", { class: (_a = {
                    menu: true
                },
                _a[this.class] = Boolean(this.class),
                _a) }, h("slot", null)));
    };
    return Menu;
}());
Menu.style = menuCss;
export { Menu as bm_menu };
