import { r as registerInstance, h, H as Host } from './index-30eda64b.js';

const boxCss = ".box:not(:last-child){margin-bottom:1.5rem}.box{background-color:white;border-radius:6px;-webkit-box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);color:#4a4a4a;display:block;padding:1.25rem}a.box:hover,a.box:focus{-webkit-box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0 0 1px #5851ff;box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0 0 1px #5851ff}a.box:active{-webkit-box-shadow:inset 0 1px 2px rgba(10, 10, 10, 0.2), 0 0 0 1px #5851ff;box-shadow:inset 0 1px 2px rgba(10, 10, 10, 0.2), 0 0 0 1px #5851ff}";

const Box = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, null, h("div", { class: {
                box: true,
                [this.class]: Boolean(this.class),
            } }, h("slot", null))));
    }
};
Box.style = boxCss;

export { Box as bm_box };
