import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Message implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Color
     */
    color: 'is-dark' | 'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    render(): JSX.Element;
}
