import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Tabs implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Pagination size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    /**
     * Alignment
     */
    alignment: 'is-centered' | 'is-right';
    /**
     * Style
     */
    tabStyle: 'is-boxed' | 'is-toggle';
    /**
     * Rounded
     */
    isRounded: boolean;
    /**
     * Full width
     */
    isFullwidth: boolean;
    render(): JSX.Element;
}
