'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bd9fba8a.js');

const checkboxCss = ".radio,.checkbox{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.radio input,.checkbox input{cursor:pointer}.radio:hover,.checkbox:hover{color:#363636}[disabled].radio,[disabled].checkbox,fieldset[disabled] .radio,fieldset[disabled] .checkbox{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:0.5em}bm-checkbox[disabled=true] .checkbox{color:#7a7a7a;cursor:not-allowed}";

const Checkbox = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Label classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    render() {
        return (index.h("label", { class: {
                checkbox: true,
                [this.labelClass]: Boolean(this.labelClass),
            } }, index.h("input", { type: "checkbox", class: {
                [this.class]: Boolean(this.class),
            }, disabled: this.disabled, checked: this.checked }), index.h("slot", null)));
    }
};
Checkbox.style = checkboxCss;

exports.bm_checkbox = Checkbox;
