'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bd9fba8a.js');

const tagsCss = "bm-tags bm-tag:not(:last-child) .tag{margin-right:0.5rem}bm-tags:last-child{margin-bottom:-0.5rem}bm-tags:not(:last-child){margin-bottom:1rem}bm-tags .tags.is-right bm-tag:not(:first-child) .tag{margin-left:0.5rem}bm-tags .tags.is-right bm-tag:not(:last-child) .tag{margin-right:0}bm-tags .tags.has-addons bm-tag:not(:first-child) .tag{margin-left:0;border-bottom-left-radius:0;border-top-left-radius:0}bm-tags .tags.has-addons bm-tag:not(:last-child) .tag{border-bottom-right-radius:0;border-top-right-radius:0}";

const Tags = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * Has addons
         */
        this.hasAddons = false;
    }
    render() {
        return (index.h("div", { class: {
                tags: true,
                'has-addons': this.hasAddons,
                [this.size]: Boolean(this.size),
                [this.class]: Boolean(this.class),
            } }, index.h("slot", null)));
    }
};
Tags.style = tagsCss;

exports.bm_tags = Tags;
