import { r as registerInstance, h } from './index-30eda64b.js';
var notificationCss = ".notification:not(:last-child){margin-bottom:1.5rem}.notification{background-color:whitesmoke;border-radius:4px;padding:1.25rem 2.5rem 1.25rem 1.5rem;position:relative}.notification a:not(.button):not(.dropdown-item){color:currentColor;text-decoration:underline}.notification strong{color:currentColor}.notification code,.notification pre{background:white}.notification pre code{background:transparent}.notification>.delete{position:absolute;right:0.5rem;top:0.5rem}.notification .title,.notification .subtitle,.notification .content{color:currentColor}.notification.is-white{background-color:white;color:#0a0a0a}.notification.is-black{background-color:#0a0a0a;color:white}.notification.is-light{background-color:whitesmoke;color:rgba(0, 0, 0, 0.7)}.notification.is-dark{background-color:#363636;color:#fff}.notification.is-primary{background-color:#5851ff;color:#fff}.notification.is-info{background-color:#3298dc;color:#fff}.notification.is-success{background-color:#48c774;color:#fff}.notification.is-warning{background-color:#ffdd57;color:rgba(0, 0, 0, 0.7)}.notification.is-danger{background-color:#f14668;color:#fff}";
var Notification = /** @class */ (function () {
    function Notification(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Dismissable
         */
        this.dismissable = true;
    }
    Notification.prototype.render = function () {
        var _a;
        return (h("div", { class: (_a = {
                    notification: true
                },
                _a[this.color] = Boolean(this.color),
                _a[this.class] = Boolean(this.class),
                _a) }, this.dismissable && h("button", { class: "delete" }), h("slot", null)));
    };
    return Notification;
}());
Notification.style = notificationCss;
export { Notification as bm_notification };
