import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Breadcrumb implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Breadcrumb alignment
     */
    alignment: 'is-centered' | 'is-right';
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    /**
     * Separator
     */
    separator: 'has-arrow-separator' | 'has-bullet-separator' | 'has-dot-separator' | 'has-succeeds-separator';
    render(): JSX.Element;
}
