import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Tag implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Tag
     */
    tag: string;
    /**
     * Color
     */
    color: 'is-black' | 'is-dark' | 'is-light' | 'is-white' | 'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Size
     */
    size: 'is-normal' | 'is-medium' | 'is-large';
    /**
     * Modifier
     */
    modifier: 'is-rounded' | 'is-delete';
    render(): JSX.Element;
}
