import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Select implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Control classes
     */
    controlClass: string;
    /**
     * Value
     */
    value: string | number;
    /**
     * Color
     */
    color: 'is-primary' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Size
     */
    size: 'is-small' | 'is-normal' | 'is-medium' | 'is-large';
    /**
     * State
     */
    state: 'is-hovered' | 'is-focused';
    /**
     * Allows multiple selection
     */
    isMultiple: boolean;
    /**
     * Loading state
     */
    isLoading: boolean;
    /**
     * Rounded
     */
    isRounded: boolean;
    /**
     * Icon
     */
    icon: string;
    render(): JSX.Element;
}
