import { JSX, ComponentInterface } from '../../../stencil-public-runtime';
export declare class Columns implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Centered
     */
    isCentered: boolean;
    /**
     * Mobile
     */
    isMobile: boolean;
    /**
     * Desktop
     */
    isDesktop: boolean;
    /**
     * Multiline
     */
    isMultiline: boolean;
    /**
     * Gapless
     */
    isGapless: boolean;
    /**
     * Vertically centered
     */
    isVcentered: boolean;
    /**
     * Columns gaps
     */
    gaps: string;
    render(): JSX.Element;
}
