/**
 * Stencil Doc Outputs don't seem to support custom-elements.json as suggested
 * here: https://github.com/w3c/webcomponents/issues/776#issuecomment-536749457.
 * This generator implements this standard, which is used by Storybook to display
 * documentation.
 * Thanks to @jagreehal https://github.com/jagreehal/stencil-boilerplate/blob/master/src/customElementDocGenerator.ts
 */
export declare function writeDocsOutput(compilerCtx: any, jsonContent: string, root: string): Promise<any>;
export declare function generateJsonDocs(config: any, compilerCtx: any, _buildCtx: any, docsData: any): Promise<any>;
